Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/Main.java	(revision 6980)
@@ -50,11 +50,11 @@
     public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory.getLog(Main.class);
     /**
-     * Le manager de login, qui permet de se connecter et 
-     * de lancer les requetes vers les méthodes du webservice
+     * The login and session manager that allows to connect to
+     * the webservice and to query it
      */
     public static SessionManager sessionManager;
 
     /**
-     *  La fenetre principale
+     *  the main window
      */
     private static MainFrame mainFrame;
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CategoryDao.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CategoryDao.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CategoryDao.java	(revision 6980)
@@ -10,4 +10,5 @@
 import fr.mael.jiwigo.Main;
 import fr.mael.jiwigo.om.Category;
+import fr.mael.jiwigo.transverse.enumeration.CategoryEnum;
 import fr.mael.jiwigo.transverse.enumeration.MethodsEnum;
 import fr.mael.jiwigo.transverse.util.Outil;
@@ -49,10 +50,10 @@
     public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory.getLog(Main.class);
     /**
-     * Instance, afin d'utiliser un singleton
+     * Instance to use a singleton
      */
     private static CategoryDao instance;
 
     /**
-     * Constructeur privé, afin que seule l'instance soit accessible
+     * Private constructor to use a singleton
      */
     private CategoryDao() {
@@ -61,5 +62,5 @@
 
     /**
-     * @return l'instance
+     * @return the instance
      */
     public static CategoryDao getInstance() {
@@ -71,8 +72,8 @@
 
     /**
-     * Lister les catégorie
-     * @param rafraichir permet de dire si on utilise les catégories présentes dans le cache ou pas
-     * @param recursive listing récursif des catégories
-     * @return la liste des catégories
+     * Lists the categories
+     * @param rafraichir true : uses the categories of the cache
+     * @param recursive true : recursive listing of the categories 
+     * @return the list of categories
      * @throws IOException 
      */
@@ -84,5 +85,18 @@
 	ArrayList<Category> categories = new ArrayList<Category>();
 	for (Element cat : listElement) {
-	    Category myCat = new Category(cat);
+	    Category myCat = new Category();
+	    myCat.setIdentifiant(Integer.valueOf(cat.getAttributeValue(CategoryEnum.ID.getLabel())));
+	    myCat.setUrlCategory(cat.getAttributeValue(CategoryEnum.URL.getLabel()));
+	    myCat.setNbImages(Integer.valueOf(cat.getAttributeValue(CategoryEnum.NB_IMAGES.getLabel())));
+	    myCat.setNbTotalImages(Integer.valueOf(cat.getAttributeValue(CategoryEnum.NB_TOTAL_IMAGES.getLabel())));
+	    myCat.setNom(cat.getChildText(CategoryEnum.NAME.getLabel()));
+	    String catMeres = cat.getChildText(CategoryEnum.CAT_MERES.getLabel());
+	    ArrayList<Integer> idCategoriesMeres = new ArrayList<Integer>();
+	    for (String catA : catMeres.split(",")) {
+		if (!catA.equals("")) {
+		    idCategoriesMeres.add(Integer.valueOf(catA));
+		}
+	    }
+	    myCat.setIdCategoriesMeres(idCategoriesMeres);
 	    categories.add(myCat);
 	}
@@ -91,7 +105,7 @@
 
     /**
-     * Création d'une catégorie
-     * @param category la catégorie à créer
-     * @return true si la catégorie a bien été créée
+     * Creation of a category
+     * @param category the category to create
+     * @return true if the category is successfully created
      */
     public boolean creer(Category category) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CommentDao.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CommentDao.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/CommentDao.java	(revision 6980)
@@ -39,5 +39,5 @@
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
    
- * Dao des commentaires
+ * Dao for the comments
  * @author mael
  *
@@ -50,10 +50,10 @@
 	    .getLog(CommentDao.class);
     /**
-     *  Instance qui permet d'utiliser un singleton
+     *  Instance that allows to use a singleton
      */
     private static CommentDao instance;
 
     /**
-     * Constructeur privé, pour n'avoir accès qu'au singleton
+     * private constructor, to use a singleton
      */
     private CommentDao() {
@@ -62,5 +62,5 @@
 
     /**
-     * @return le singleton
+     * @return the singleton
      */
     public static CommentDao getInstance() {
@@ -72,7 +72,7 @@
 
     /**
-     * Listing des commentaires pour une image donnée
-     * @param idImage identifiant de l'image
-     * @return liste des commentaires
+     * Listing of the comments for the given image
+     * @param idImage id of the  image
+     * @return list of comments
      * @throws IOException 
      */
@@ -95,7 +95,7 @@
 
     /**
-     * Recupération de la clé pour l'ajout d'un com
-     * @param idImage
-     * @return
+     * Gets the key essential to add a comment
+     * @param idImage the id of the image
+     * @return the key
      * @throws IOException 
      */
@@ -107,4 +107,10 @@
     }
 
+    /**
+     * Creates a comment
+     * @param commentaire the comment to add
+     * @return true if the comment is successfully added
+     * @throws IOException
+     */
     public boolean creer(Comment commentaire) throws IOException {
 	String key = getKey(commentaire.getImageId());
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/ImageDao.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/ImageDao.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/ImageDao.java	(revision 6980)
@@ -61,5 +61,5 @@
 
     /**
-     * cache
+     * cache to avoid downloading image for each access
      */
     private HashMap<Integer, List<Image>> cache;
@@ -71,5 +71,5 @@
 
     /**
-     * Constructeur privé, pour n'avoir accès qu'au singleton
+     * Private singleton, to use a singleton
      */
     private ImageDao() {
@@ -88,6 +88,6 @@
 
     /**
-     * Lister toutes les images
-     * @return la liste des images
+     * Lists all images
+     * @return the list of images
      * @throws IOException 
      */
@@ -97,7 +97,7 @@
 
     /**
-     * Listing des images d'une catégorie
-     * @param categoryId l'id de la catégorie
-     * @return la liste des images
+     * Listing of the images for a category
+     * @param categoryId the id of the category
+     * @return the list of images
      * @throws IOException 
      */
@@ -125,24 +125,24 @@
 
     /**
-     * Creation d'une image.<br/>
-     * Dans l'ordre : <br/>
+     * Creation of an image<br/>
+     * Sequence : <br/>
      * <li>
-     * <ul>envoi de la miniature en base64, grace à la méthode addchunk.</ul>
-     * <ul>envoi de l'image originale en base64, grace à la méthode addchunk</ul>
-     * <ul>utilisation de la methode add pour ajouter l'image dans la base<ul>
+     * <ul>sending of the thumbnail in base64, thanks to the method addchunk.</ul>
+     * <ul>sending of the image in base64, thanks to the method addchunk</ul>
+     * <ul>using of the add method to add the image to the database<ul>
      * </li>
-     * Pour finir, on vérifie les réponses du webservice.
+     * Finally, the response of the webservice is checked
      * 
-     * @param image l'image à créer
-     * @return true si l'insertiopn de l'image s'est bien passée
+     * @param the image to create
+     * @return true if the creation of the image was the successful
      * @throws Exception
      */
     //TODO ne pas continuer si une des réponses précédentes est négative
     public boolean creer(Image image) throws Exception {
-	//on convertit la miniature en string base64
+	//thumbnail converted to base64
 	BASE64Encoder base64 = new BASE64Encoder();
 
 	String thumbnailBase64 = base64.encode(Outil.getBytesFromFile(image.getThumbnail()));
-	//on envoie la miniature et on recupere la reponse
+	//sends the thumbnail and gets the result 
 	Document reponseThumb = (Main.sessionManager.executerReturnDocument("pwg.images.addChunk", "data",
 		thumbnailBase64, "type", "thumb", "position", "1", "original_sum", Outil.getMD5Checksum(image
@@ -167,5 +167,5 @@
 	//end
 
-	//on ajoute l'image en base et on recupere la reponse
+	//add the image in the database and get the result of the webservice
 	Document reponseAjout = (Main.sessionManager.executerReturnDocument("pwg.images.add", "file_sum", Outil
 		.getMD5Checksum(image.getOriginale().getAbsolutePath()), "thumbnail_sum", Outil.getMD5Checksum(image
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/TagDao.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/TagDao.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/dao/TagDao.java	(revision 6980)
@@ -12,4 +12,5 @@
 import fr.mael.jiwigo.om.Tag;
 import fr.mael.jiwigo.transverse.enumeration.MethodsEnum;
+import fr.mael.jiwigo.transverse.enumeration.TagEnum;
 import fr.mael.jiwigo.transverse.util.Outil;
 
@@ -50,10 +51,10 @@
     public static final org.apache.commons.logging.Log LOG = org.apache.commons.logging.LogFactory.getLog(Main.class);
     /**
-     * Instance, afin d'utiliser un singleton
+     * Instance, to use a singleton
      */
     private static TagDao instance;
 
     /**
-     * Constructeur privé, afin que seule l'instance soit accessible
+     * private constructor to use a singleton
      */
     private TagDao() {
@@ -62,5 +63,5 @@
 
     /**
-     * @return l'instance
+     * @return the instance
      */
     public static TagDao getInstance() {
@@ -72,6 +73,6 @@
 
     /**
-     * Lister les tag
-     * @return la liste des tags
+     * lists the tags
+     * @return the list of tags
      * @throws IOException 
      */
@@ -92,6 +93,8 @@
 	List<Element> listElement = (List<Element>) element.getChildren("tag");
 	ArrayList<Tag> tags = new ArrayList<Tag>();
-	for (Element t : listElement) {
-	    Tag tag = new Tag(t);
+	for (Element tagElement : listElement) {
+	    Tag tag = new Tag();
+	    tag.setId(Integer.valueOf(tagElement.getAttributeValue(TagEnum.ID.getLabel())));
+	    tag.setNom(tagElement.getAttributeValue(TagEnum.NAME.getLabel()));
 	    tags.add(tag);
 	}
@@ -101,7 +104,7 @@
 
     /**
-     * Création d'un tag
-     * @param tag le tag à créer
-     * @return true si le tag a bien été créé
+     * Creation of a tag
+     * @param tag the tag to create
+     * @return true if the tag as been successfully created
      */
     public boolean creer(Tag tag) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Category.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Category.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Category.java	(revision 6980)
@@ -4,6 +4,4 @@
 
 import org.jdom.Element;
-
-import fr.mael.jiwigo.transverse.enumeration.CategoryEnum;
 
 /**
@@ -49,28 +47,7 @@
     private Integer parentDirect;
 
-    /**
-     * Constructeur. Une categorie est cree a partir de son element xml
-     * @param element
-     */
-    public Category(Element element) {
-	this.element = element;
-	this.identifiant = Integer.valueOf(element.getAttributeValue(CategoryEnum.ID.getLabel()));
-	this.urlCategory = element.getAttributeValue(CategoryEnum.URL.getLabel());
-	this.nbImages = Integer.valueOf(element.getAttributeValue(CategoryEnum.NB_IMAGES.getLabel()));
-	this.nbTotalImages = Integer.valueOf(element.getAttributeValue(CategoryEnum.NB_TOTAL_IMAGES.getLabel()));
-	this.nom = element.getChildText(CategoryEnum.NAME.getLabel());
-	String catMeres = element.getChildText(CategoryEnum.CAT_MERES.getLabel());
-	idCategoriesMeres = new ArrayList<Integer>();
-	for (String cat : catMeres.split(",")) {
-	    if (!cat.equals("")) {
-		idCategoriesMeres.add(Integer.valueOf(cat));
-	    }
-	}
+    public Category() {
 	categoriesFilles = new ArrayList<Category>();
 	categoriesMeres = new ArrayList<Category>();
-    }
-
-    public Category() {
-	// TODO Auto-generated constructor stub
     }
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Comment.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Comment.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Comment.java	(revision 6980)
@@ -1,5 +1,3 @@
 package fr.mael.jiwigo.om;
-
-import org.jdom.Element;
 
 /**
@@ -40,16 +38,4 @@
     private Integer identifiant;
     private String date;
-
-    public Comment(Element element) {
-	this.identifiant = Integer.valueOf(element.getAttributeValue("id"));
-	this.date = element.getAttributeValue("date");
-	this.author = element.getChildText("author");
-	this.content = element.getChildText("content");
-
-    }
-
-    public Comment() {
-
-    }
 
     /**
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Tag.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Tag.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/om/Tag.java	(revision 6980)
@@ -1,7 +1,3 @@
 package fr.mael.jiwigo.om;
-
-import org.jdom.Element;
-
-import fr.mael.jiwigo.transverse.enumeration.TagEnum;
 
 /**
@@ -46,25 +42,4 @@
 
     /**
-     * Empty constructor
-     */
-    public Tag() {
-    }
-
-    /**
-     * @param element the element in the RPC response
-     */
-    public Tag(Element element) {
-	this.identifiant = Integer.valueOf(element.getAttributeValue(TagEnum.ID.getLabel()));
-	this.nom = element.getAttributeValue(TagEnum.NAME.getLabel());
-    }
-
-    /**
-     * @param nom the name of the tag
-     */
-    public Tag(String nom) {
-	this.nom = nom;
-    }
-
-    /**
      * @return the nom
      */
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CategoryService.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CategoryService.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CategoryService.java	(revision 6980)
@@ -50,5 +50,5 @@
 
     /**
-     * @return le singleton
+     * @return the singleton
      */
     public static CategoryService getInstance() {
@@ -60,5 +60,5 @@
 
     /**
-     * Constructeur privé, pour n'avoir accès qu'au singleton
+     * private constructor to use a singleton
      */
     private CategoryService() {
@@ -67,8 +67,8 @@
 
     /**
-     * Listing des categories
-     * @param rafraichir utilisation du cache ou non
-     * @param recursive
-     * @return la liste des catégories
+     * Lists all categories
+     * @param rafraichir true to refresh
+     * @param recursive true : recursive listing
+     * @return the list of categories
      * @throws IOException 
      */
@@ -78,7 +78,6 @@
 
     /**
-     * Fonction qui permet de construire l'arbre des categorie
-     * En association catégories mères/catégories filles
-     * @return la liste des catégories
+     * Allows to create the categories tree
+     * @return list of categories
      * @throws IOException 
      */
@@ -102,8 +101,8 @@
 
     /**
-     * Création d'une catégorie
-     * @param nom nom de la catégorie
-     * @param parent catégorie parent
-     * @return true si la catégorie a bien été créée
+     * creation of a category
+     * @param nom name of the category
+     * @param parent parent category
+     * @return true if successful
      */
     public boolean creer(String nom, Integer parent) {
@@ -115,8 +114,7 @@
 
     /**
-     * Création d'une catégorie
-     * @param nom nom de la catégorie
-     * @param parent catégorie parent
-     * @return true si la catégorie a bien été créée
+     * creation of a category without parent
+     * @param nom name of the category
+     * @return true if successful
      */
     public boolean creer(String nom) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CommentService.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CommentService.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/CommentService.java	(revision 6980)
@@ -50,5 +50,5 @@
 
     /**
-     * @return le singleton
+     * @return the singleton
      */
     public static CommentService getInstance() {
@@ -60,5 +60,5 @@
 
     /**
-     * Constructeur privé, pour n'avoir accès qu'au singleton
+     * private constructor, to use a singleton
      */
     private CommentService() {
@@ -67,7 +67,7 @@
 
     /**
-     * Listing des commentaires pour une image
-     * @param imageId id de l'image
-     * @return la liste des commentaires
+     * Lists all comments for an image
+     * @param imageId the id of the image
+     * @return the list of comments
      * @throws IOException 
      */
@@ -76,4 +76,12 @@
     }
 
+    /**
+     * Creates a comment for an image
+     * @param content the comment
+     * @param imageId the id of the image
+     * @param auteur the author of the comment
+     * @return true if successful
+     * @throws IOException
+     */
     public boolean creer(String content, Integer imageId, String auteur) throws IOException {
 	Comment commentaire = new Comment();
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/ImageService.java	(revision 6980)
@@ -51,6 +51,12 @@
 	    .getLog(ImageService.class);
 
+    /**
+     * Singleton
+     */
     private static ImageService instance;
 
+    /**
+     * @return the singleton
+     */
     public static ImageService getInstance() {
 	if (instance == null) {
@@ -60,8 +66,18 @@
     }
 
+    /**
+     * private constructor to use a singleton
+     */
     private ImageService() {
 
     }
 
+    /**
+     * Lists all images for a category
+     * @param categoryId the id of the category
+     * @param rafraichir true : refresh the list of images
+     * @return the list of images
+     * @throws IOException
+     */
     public List<Image> listerParCategory(Integer categoryId, boolean rafraichir) throws IOException {
 	return ImageDao.getInstance().listerParCategory(categoryId, rafraichir);
@@ -70,5 +86,4 @@
     /**
      * Method called to send an image to the server.
-     
      * @param filePath
      * @param idCategory
@@ -77,5 +92,5 @@
      */
     public boolean creer(String filePath, Integer idCategory) throws Exception {
-	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_resizing") + " " + filePath);
+	MainFrame.getInstance().setMessage(Messages.getMessage("mainFrame_resizing") + " " + filePath);
 	//get the byte array of the original file, to keep metadata
 	byte[] bytesFichierOriginal = Outil.getBytesFromFile(new File(filePath));
@@ -98,5 +113,5 @@
 	    //I use here a try catch because if the original file isn't a jpeg
 	    //the methode Outil.enrich will fail, but the procedure has to continue
-	    MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_addMetadata") + " " + filePath);
+	    MainFrame.getInstance().setMessage(Messages.getMessage("mainFrame_addMetadata") + " " + filePath);
 	    try {
 		byte[] fichierEnrichi = Outil.enrich(bytesFichierOriginal, Outil.getBytesFromFile(new File(System
@@ -115,5 +130,5 @@
 	image.setOriginale(originale);
 	image.setIdCategory(idCategory);
-	MainFrame.getInstance().setReussiteMessage(Messages.getMessage("mainFrame_sendingFiles") + " " + filePath);
+	MainFrame.getInstance().setMessage(Messages.getMessage("mainFrame_sendingFiles") + " " + filePath);
 	//now we call the dao to send the image to the webservice
 	return ImageDao.getInstance().creer(image);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/TagService.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/TagService.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/service/TagService.java	(revision 6980)
@@ -45,6 +45,12 @@
 	    .getLog(TagService.class);
 
+    /**
+     * The instance, to use a singleton
+     */
     private static TagService instance;
 
+    /**
+     * @return the singleton
+     */
     public static TagService getInstance() {
 	if (instance == null) {
@@ -77,5 +83,6 @@
      */
     public boolean creer(String nom) throws IOException {
-	Tag tag = new Tag(nom);
+	Tag tag = new Tag();
+	tag.setNom(nom);
 	return TagDao.getInstance().creer(tag);
     }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/enumeration/MethodsEnum.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/enumeration/MethodsEnum.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/enumeration/MethodsEnum.java	(revision 6980)
@@ -30,5 +30,5 @@
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
    
- * Listing des méthodes du webservice
+ * Lists the methods of the webservice
  * @author mael
  *
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/session/SessionManager.java	(revision 6980)
@@ -52,25 +52,25 @@
 	    .getLog(SessionManager.class);
     /**
-     * Le login entré
+     * the entered login
      */
     private String login;
     /**
-     * Le mot de passe entré
+     * the entered password
      */
     private String motDePasse;
     /**
-     * l'url du site
+     * the url of the site
      */
     private String url;
     /**
-     * le client http
+     * the http client
      */
     private HttpClient client;
 
     /**
-     * Constructeur
-     * @param login le login
-     * @param motDePasse le mot de passe
-     * @param url l'url du site
+     * Constructor
+     * @param login the login
+     * @param motDePasse the password
+     * @param url the url of the site
      */
     public SessionManager(String login, String motDePasse, String url) {
@@ -79,5 +79,5 @@
 	this.url = url + "/ws.php";
 	client = new HttpClient();
-	//utilisation d'un useragent linux, parce que c'est mieux 8)
+	//Using of a Linux user agent. cause... it's better 8)
 	client.getParams().setParameter("http.useragent",
 		"Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9.1.1) Gecko/20090715 Firefox/3.5.1");
@@ -85,6 +85,6 @@
 
     /**
-     * Methode de connexion
-     * @return true si la connexion s'est bien deroulee
+     * Connection method
+     * @return true if successful
      */
     public boolean processLogin() {
@@ -101,8 +101,8 @@
 
     /**
-     * Execute une methode sur le web service et retourne le resultat sous forme de string
-     * @param methode la methode a executer
-     * @param parametres les parametres a  ajouter a la methode. doit etre un nombre pair : la cle suivie de sa valeur
-     * @return le resultat
+     * Executes a method on the webservice and returns the result as a string
+     * @param methode the method to execute
+     * @param parametres the parameters of the method. Must be even : the name of the parameter followed by its value
+     * @return the result
      */
     public String executerReturnString(String methode, String... parametres) {
@@ -150,8 +150,8 @@
 
     /**
-     * Execute une methode sur le webservice et renvoie le resultat sous form de document jdom
-     * @param methode la methode a executer
-     * @param parametres les parametres a  ajouter a la methode. doit etre un nombre pair : la cle suivie de sa valeur
-     * @return le resultat
+     * Executes a method on the webservice and returns the result as a Dom document
+     * @param methode the method to execute
+     * @param parametres the parameters of the method. Must be even : the name of the parameter followed by its value
+     * @return the result
      * @throws IOException 
      */
@@ -168,7 +168,7 @@
 
     /**
-     * Execute une methode sur le webservice et renvoie le resultat sous form de document jdom
-     * @param methode la methode a executer
-     * @return le resultat
+     * Executes a method on the webservice and returns the result as a Dom document
+     * @param methode the method to execute
+     * @return the result
      */
     public Document executerReturnDocument(String methode) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/ImagesUtil.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/ImagesUtil.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/ImagesUtil.java	(revision 6980)
@@ -65,8 +65,8 @@
 
     /**
-     * Fonction de rotation d'une image
-     * @param image l'image à tourner
-     * @param angle l'angle de rotation
-     * @return l'image pivotée
+     * rotates an image
+     * @param image the image to rotate
+     * @param angle the angle of rotation
+     * @return the rotated image
      */
     public static BufferedImage rotate(BufferedImage image, double angle) {
@@ -94,7 +94,7 @@
 
     /**
-     * Ecriture d'une image dans un fichier png
-     * @param file le fichier
-     * @param bufferedImage l'image
+     * Writes an image in a file
+     * @param file the file
+     * @param bufferedImage the image
      * @throws IOException
      */
@@ -104,10 +104,10 @@
 
     /**
-     * Mise à l'échelle d'une image
-     * @param filePath le chemin vers le fichier de l'image
-     * @param tempName le nom du fichier résultat
-     * @param width la largeur
-     * @param height la hauteur
-     * @return true si l'image a effectivement ete redimensionnee
+     * scales an image
+     * @param filePath the path to the file of the image
+     * @param tempName the name of the resulting file
+     * @param width the width
+     * @param height the height
+     * @return true if successful
      * @throws Exception
      */
@@ -120,5 +120,4 @@
 	int imageWidth = image.getWidth(null);
 	int imageHeight = image.getHeight(null);
-	//on n'agrandit pas l'image
 	if (imageWidth < width || imageHeight < height) {
 	    return false;
@@ -141,4 +140,11 @@
     }
 
+    /**
+     * Save an image
+     * @param fileName the name of the file
+     * @param img the img
+     * @throws FileNotFoundException
+     * @throws IOException
+     */
     private static void saveImage(String fileName, BufferedImage img) throws FileNotFoundException, IOException {
 	Iterator iter = ImageIO.getImageWritersByFormatName("jpeg");
@@ -205,5 +211,9 @@
     }
 
-    // This method returns true if the specified image has transparent pixels
+    /**
+     *  This method returns true if the specified image has transparent pixels
+     * @param image the image to check
+     * @return true or false
+     */
     public static boolean hasAlpha(Image image) {
 	// If buffered image, the color model is readily available
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Messages.java	(revision 6980)
@@ -37,5 +37,5 @@
    
  * @author mael
- * Gestion des messages pour les traductions
+ * management of the messages for the translations
  */
 public class Messages {
@@ -44,7 +44,7 @@
 
     /**
-     * Recuperation d'un message
-     * @param key clé du message
-     * @return le message
+     * returns a message
+     * @param key the key of the message
+     * @return the message
      */
     public static String getMessage(String key) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/Outil.java	(revision 6980)
@@ -69,22 +69,13 @@
 
     /**
-     * Transformation d'un inputstream en string.<br/>
-     * Util pour lire la réponse du webservice
-     * @param input le stream
-     * @return la string
+     * Transformation of an inpustream into string.<br/>
+     * useful to read the result of the webservice
+     * @param input the stream
+     * @return the string
      * @throws IOException
      */
     public static String readInputStreamAsString(InputStream input) throws IOException {
-	//	DataInputStream dis = new DataInputStream(new BufferedInputStream(input));
-	//
-	//	String temp;
-	//	StringBuffer buffer = new StringBuffer();
-	//	while ((temp = dis.readLine()) != null) {
-	//	    buffer.append(temp);
-	//	}
-	//	return buffer.toString();
 	StringWriter writer = new StringWriter();
 	InputStreamReader streamReader = new InputStreamReader(input);
-	//le buffer permet le readline
 	BufferedReader buffer = new BufferedReader(streamReader);
 	String line = "";
@@ -92,12 +83,11 @@
 	    writer.write(line);
 	}
-	// Sortie finale dans le String
 	return writer.toString();
     }
 
     /**
-     * Transformation d'une string en document
-     * @param string la string
-     * @return le document correspondant
+     * String to document
+     * @param string the string
+     * @return the corresponding document
      * @throws JDOMException
      * @throws IOException
@@ -105,5 +95,4 @@
     public static Document stringToDocument(String string) throws JDOMException, IOException {
 	SAXBuilder sb = new SAXBuilder();
-	//	System.out.println(string);
 	Document doc = sb.build(new StringReader(string));
 	return doc;
@@ -112,7 +101,7 @@
 
     /**
-     * Transformation d'un inputstream en document
-     * @param input l'inputstream
-     * @return le document
+     * Inputstream to document
+     * @param input the inputStream
+     * @return the document
      * @throws JDOMException
      * @throws IOException
@@ -123,7 +112,7 @@
 
     /**
-     * Transformation d'un document en string
-     * @param doc le document à transformer
-     * @return la string
+     * Document to string
+     * @param doc the document to transform
+     * @return the string
      */
     public static String documentToString(Document doc) {
@@ -133,8 +122,8 @@
 
     /**
-     * Fonction qui retour l'url d'un fichier donné.
-     * Utile pour récupérer le chemin des images à l'intérieur du jar
-     * @param fileName le chemin du fichier
-     * @return l'url
+     * Function that gets the url of a file
+     * Useful to get the images that are in the jar
+     * @param fileName the path of the file
+     * @return the url of the file
      */
     public static URL getURL(String fileName) {
@@ -145,7 +134,7 @@
 
     /**
-     * Fonction qui retourne la somme de controle MD5 d'un fichier donné
-     * @param filename le chemin du fichier
-     * @return la somme de controle
+     * gets the md5 sum of a file
+     * @param filename the path of the file
+     * @return the checksum
      * @throws Exception
      */
@@ -160,7 +149,7 @@
 
     /**
-     * Creation de la somme de controle d'un fichier
-     * @param filename le chemin du fichier
-     * @return la somme de controle sous forme de byte[]
+     * Creation of the checksum of a file
+     * @param filename the path of the file
+     * @return the checksum as array byte
      * @throws Exception
      */
@@ -182,7 +171,7 @@
 
     /**
-     * Fonction qui transforme un fichier en tableau de bytes
-     * @param file le fichier
-     * @return le tableau de bytes
+     * File to array bytes
+     * @param file the file
+     * @return the array bytes
      * @throws IOException
      */
@@ -206,7 +195,7 @@
 
     /**
-     * Fonction qui vérifie que si la réponse du webservice est positive
-     * @param doc le document que retourne le webservice
-     * @return true si c'est ok
+     * Function that checks if the webservice response is ok
+     * @param doc the document from the webservice
+     * @return true if ok
      */
     public static boolean checkOk(Document doc) {
@@ -298,4 +287,10 @@
     }
 
+    /**
+     * Bytes to file
+     * @param fichier the file path
+     * @param bytes the array bytes
+     * @throws IOException
+     */
     public static void byteToFile(String fichier, byte[] bytes) throws IOException {
 	FileOutputStream fos = new FileOutputStream(fichier);
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/transverse/util/preferences/PreferencesManagement.java	(revision 6980)
@@ -49,5 +49,5 @@
 
     /**
-     * fonction qui retourne le chemin du fichier de configuration
+     * function that returns the path of the configuration file
      * @return
      */
@@ -57,5 +57,5 @@
 
     /**
-     * Creation du fichier de configuration par défaut
+     * Creation of the default file configuration
      * @throws IOException
      */
@@ -82,7 +82,7 @@
 
     /**
-     * Fonction qui retourne la valeur d'une préférence
-     * @param key la cle de la preference
-     * @return la valeur
+     * Function that returns the value of a preference
+     * @param key the key of the preference
+     * @return the value
      */
     public static String getValue(String key) {
@@ -98,7 +98,7 @@
 
     /**
-     * Fonction qui attribue une valeur à une préférence
-     * @param key la cle
-     * @param text la valeur
+     * Function that gives a value to a preference key
+     * @param key the key
+     * @param text the value
      */
     public static void setValue(String key, String text) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ConnexionDialog.java	(revision 6980)
@@ -69,34 +69,34 @@
 	    .getLog(ConnexionDialog.class);
     /**
-     * field contenant l'url
+     * field that contains the url
      */
     private JTextField fieldUrl;
     /**
-     * field contenant le login
+     * field that contains the login
      */
     private JTextField loginField;
     /**
-     * field contenant le mot de passe
+     * field that contains de password
      */
     private JPasswordField passwordField;
     /**
-     * label de l'url
+     * label of the url field
      */
     private JLabel labelUrl;
     /**
-     * label du login
+     * label of the login field
      */
     private JLabel labelLogin;
     /**
-     *  label du mot de passe
+     *  label of the password field
      */
     private JLabel labelPass;
     /**
-     * bouton ok, pour la connexion
+     * ok button for the connection
      */
     private JButton boutonOk;
 
     /**
-     * Box qui permet de retenir les informations
+     * Box that allows to save informations
      */
     private JCheckBox checkBoxRetenir;
@@ -108,5 +108,5 @@
 
     /**
-     * Constructeur 
+     * Constructor 
      */
     public ConnexionDialog() {
@@ -181,5 +181,5 @@
     @Override
     public void actionPerformed(ActionEvent paramActionEvent) {
-	//si un des champs est vide, on affiche une erreur
+	//if one field is empty, an error is displayed
 	if (fieldUrl.getText().equals("") || loginField.getText().equals("") || passwordField.getText().equals("")) {
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("connexionDialog_emptyField"), Messages
@@ -189,5 +189,5 @@
 		fieldUrl.setText("http://" + fieldUrl.getText());
 	    }
-	    //sinon, on instancie le session manager de la classe principale
+	    //instanciation of the session manager
 	    Main.sessionManager = new SessionManager(loginField.getText(), passwordField.getText(), fieldUrl.getText());
 	    if (checkBoxRetenir.isSelected()) {
@@ -201,5 +201,5 @@
 	    }
 	    if (!Main.sessionManager.processLogin()) {
-		//si le login a échoué, on affiche une erreur
+		//if the login fails, an error is displayed
 		JOptionPane.showMessageDialog(null, Messages.getMessage("connexionDialog_connexionError"), Messages
 			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
@@ -207,5 +207,5 @@
 		//		Locale.setDefault((Locale) comboLocales.getSelectedItem());
 		Main.showFrame();
-		//on cache le dialog de connexion
+		//hides the dialog
 		this.dispose();
 	    }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ImagesManagement.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ImagesManagement.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/ImagesManagement.java	(revision 6980)
@@ -38,6 +38,5 @@
    
  * @author mael
- * Classe de gestion des images à taille relle.
- * mettre tout en static permet d'y accéder depuis les différentes classes qui en ont besoin
+ * Management of the real sized pictures
  */
 public class ImagesManagement {
@@ -48,29 +47,29 @@
 	    .getLog(ImagesManagement.class);
     /**
-     * L'index de l'image courante dans la liste
+     * the index of the current image
      */
     public static int CURRENT_IMAGE_INDEX;
     /**
-     * l'image courante
+     * the current image
      */
     public static Image CURRENT_IMAGE;
     /**
-     * la liste des images
+     * images list
      */
     public static List<Image> LIST_IMAGE;
 
     /**
-     * cache permettant de ne pas recharger les images à chaque fois
+     * cache allows to keep the images in the ram
      */
     private static HashMap<Integer, BufferedImage> IMAGES_CACHE = new HashMap<Integer, BufferedImage>();
 
     /**
-     * cache permettant de ne pas recharger les images à chaque fois
+     * cache allows to keep the thumbnails in the ram
      */
     private static HashMap<Integer, BufferedImage> MINIATURE_CACHE = new HashMap<Integer, BufferedImage>();
 
     /**
-     * Récupération de l'image courante
-     * @return l'image
+     * gets the current image
+     * @return the image
      */
     public static Image getCurrentImage() {
@@ -80,5 +79,5 @@
 
     /**
-     * passage à l'image suivante
+     * next image
      */
     public static void next() {
@@ -92,5 +91,5 @@
 
     /**
-     * passage à l'image précédente
+     * previous image
      */
     public static void previous() {
@@ -105,5 +104,5 @@
     /**
      * 
-     * @param image l'image courante
+     * @param image the current image
      */
     public static void setCurrentImage(Image image) {
@@ -119,7 +118,7 @@
 
     /**
-     * Fonction qui permet de ne charger les images qu'une seule fois
-     * afin d'améliorer les temps de réponses en ne consommant pas de bande passante.
-     * @return l'image
+     * Function that allows to load images once
+     * to decrease response delays
+     * @return the image
      */
     public static BufferedImage getCurrentBufferedImage() {
@@ -136,7 +135,7 @@
 
     /**
-     * Fonction qui permet de ne charger les images qu'une seule fois
-     * afin d'améliorer les temps de réponses en ne consommant pas de bande passante.
-     * @return l'image
+     * Function that allows to load thimbnails once
+     * to decrease response delays
+     * @return the image
      */
     public static BufferedImage getMiniatureBufferedImage(Image image) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserFrame.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserFrame.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserFrame.java	(revision 6980)
@@ -75,34 +75,34 @@
 	    .getLog(BrowserFrame.class);
     /**
-     * bouton pour passer à l'image suivante
+     * bouton to go to the  next image
      */
     private JButton next = new JButton();
     /**
-     * bouton pour passer à l'image précédente
+     * bouton to go to the previous image
      */
     private JButton previous = new JButton();
     /**
-     * rotation de l'image vers la gauche
+     * rotation on the left
      */
     private JButton rotateLeft = new JButton();
     /**
-     * rotation de l'image vers la droite
+     * rotation on the right
      */
     private JButton rotateRight = new JButton();
     /**
-     * sauvegarde de l'image
+     * saves the image
      */
     private JButton save = new JButton();
     /**
-     * affichage des commentaire de l'image
+     * displays the comments for the current image
      */
     private JButton comment = new JButton();
     /**
-     * panel contenant tous les boutons précédents
+     * panel that contains the previous buttons
      */
     private JPanel panelBoutons;
 
     /**
-     * rogner l'image
+     * clip the image
      */
     private JButton cut = new JButton();
@@ -129,4 +129,5 @@
      * Il est instancié et ajouté à la création de la frame, et retiré lorsqu'on la quitte
      */
+    @Deprecated
     private AWTEventListener generalListener;
 
@@ -206,5 +207,4 @@
 	this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
 	setUpMenu();
-	//instanciation du listener general
 	this.generalListener = new AWTEventListener() {
 
@@ -222,5 +222,4 @@
 	this.setVisible(true);
 
-	//ajout du listener general
 	//Toolkit.getDefaultToolkit().addAWTEventListener(generalListener, AWTEvent.KEY_EVENT_MASK);
 
@@ -290,5 +289,4 @@
     public void dispose() {
 	super.dispose();
-	//on enleve le listener general
 	Toolkit.getDefaultToolkit().removeAWTEventListener(generalListener);
     }
@@ -299,5 +297,5 @@
 	    new CommentsDialog(this, ImagesManagement.getCurrentImage().getIdentifiant());
 	} else if (e.getSource().equals(save)) {
-	    //ouverture du dialog de sauvegarde d'une image
+	    //opens the dialog to save the file
 	    JFileChooser chooser = new JFileChooser();
 	    if (JFileChooser.APPROVE_OPTION == chooser.showSaveDialog(null)) {
@@ -305,5 +303,5 @@
 		if (chosenFile.getName().endsWith(".png")) {
 		    try {
-			//sauvegarde de l'image
+			//saves the image
 			ImagesUtil.writeImageToPNG(chosenFile, imagePanel.getImage());
 		    } catch (IOException ex) {
@@ -321,7 +319,5 @@
 	} else if (e.getSource().equals(next)) {
 	    imagePanel.setDrawSelection(false);
-	    //on appelle d'abord la fonction de l'images panel qui increment l'image courante
 	    ImagesManagement.next();
-	    //on rafraichit le panel qui contient l'image
 	    BufferedImage img;
 	    try {
@@ -334,7 +330,5 @@
 	} else if (e.getSource().equals(previous)) {
 	    imagePanel.setDrawSelection(false);
-	    //on appelle d'abord la fonction de l'images panel qui décrémente l'image courante
 	    ImagesManagement.previous();
-	    //on rafraichit le panel qui contient l'image
 	    BufferedImage img;
 	    try {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserImagePanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserImagePanel.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/browser/BrowserImagePanel.java	(revision 6980)
@@ -72,6 +72,6 @@
 
     /**
-     * Constructeur
-     * @param image
+     * Constructor
+     * @param image the image
      */
     public BrowserImagePanel(BufferedImage image) {
@@ -122,19 +122,19 @@
     public void rogner() {
 	if (scale == 1.0) {
-	    //récupération des dimensions de l'image
+	    //gets the dimensions of the image
 	    Double width = getSize().getWidth();
 	    Double height = getSize().getHeight();
-	    //recuperation du coin haut gauche de l'image
+	    //get the top left corner
 	    Double xZeroImage = ((width - image.getWidth()) / 2);
 	    Double yZeroImage = ((height - image.getHeight()) / 2);
-	    //les positions du premier clic
-	    //sur l'image. Les positions récupérées précédemment étaient
-	    //les positions sur le panel, il faut donc calculer les positions sur l'image
+	    //the position of the first click on the imagee
+	    //The previous positions where the ones on the panel
+	    //have to calculate the position on the image
 	    int positionX, positionY;
-	    //largeur et longueur du rognage sur l'image
+	    //width and height of the clip
 	    int largeur, longueur;
-	    //si jamais la sélection commence avant le début de l'image 
-	    //en x, on prend comme position 0, sinon, on calcule la position
-	    //du clic selon le calcul position sur l'image = position sur le panel - position du x de l'image
+	    //if the selection begins before the beginning of the image in x
+	    //0 is taken. Otherwise the position of the click is calculated :
+	    //position on the image = position on the panel - position of the x of the image
 	    if (xTopPosition - xZeroImage.intValue() < 0) {
 		positionX = 0;
@@ -142,7 +142,7 @@
 		positionX = xTopPosition - xZeroImage.intValue();
 	    }
-	    //si jamais la sélection commence avant le début de l'image 
-	    //en y, on prend comme position 0, sinon, on calcule la position
-	    //du clic selon le calcul position sur l'image = position sur le panel - position du y de l'image
+	    //if the selection begins before the beginning of the image in y
+	    //0 is taken. Otherwise the position of the click is calculated :
+	    //position on the image = position on the panel - position of the y of the image
 	    if (yTopPosition - yZeroImage.intValue() < 0) {
 		positionY = 0;
@@ -150,19 +150,19 @@
 		positionY = yTopPosition - yZeroImage.intValue();
 	    }
-	    //on calcule la largeur
+	    //calculates the width
 	    largeur = xDragPosition - xTopPosition;
-	    //si ça dépasse de l'image
+	    //if it goes past the image
 	    if ((positionX + largeur) > image.getWidth()) {
-		//on recalcule la largeur
+		//the width is recalculated
 		largeur = image.getWidth() - positionX;
 	    }
-	    //on calcule la longueur
+	    //calculate the height
 	    longueur = yDragPosition - yTopPosition;
-	    //si ça dépasse en hauteur
+	    ////if it goes past the image
 	    if ((positionY + longueur) > image.getHeight()) {
-		//on recalcule la hauteur
+		//the height is recalculated
 		longueur = image.getHeight() - positionY;
 	    }
-	    //recuperation de l'image coupée
+	    //gets the cutted imagee
 	    image = image.getSubimage(positionX, positionY, largeur, longueur);
 	    repaint();
@@ -176,6 +176,6 @@
 
     /**
-     * Récupération du slider
-     * @return le slider
+     * gets the slider
+     * @return the slider
      */
     public JSlider getSlider() {
@@ -223,5 +223,5 @@
 
     /**
-     * Label du slider
+     * Label of the slider
      * @param min
      * @param max
@@ -239,5 +239,5 @@
 
     /**
-     *  Rotation vers la droite
+     *  right rotation
      */
     public void rotationDroite() {
@@ -246,5 +246,5 @@
 
     /**
-     * Rotation vers la gauche
+     * left rotation
      */
     public void rotationGauche() {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentPanel.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentPanel.java	(revision 6980)
@@ -38,5 +38,5 @@
    
  * @author mael
- * Un panel affichant un commentaire
+ * a panel that displays a comment of an image
  */
 public class CommentPanel extends JPanel {
@@ -48,9 +48,9 @@
 
     /**
-     * Constructeur
-     * @param color la couleur de la zone de commentaire
-     * @param text le commentaire
-     * @param auteur l'auteur du commentaire
-     * @param date la date du commentaire
+     * Constructor
+     * @param color The color of the panel
+     * @param text the comment
+     * @param auteur the author of the comment
+     * @param date the date of the comment
      */
     public CommentPanel(Color color, String text, String auteur, String date) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/comments/CommentsDialog.java	(revision 6980)
@@ -54,5 +54,5 @@
    
  * @author mael
- * dialog affichant les commentaires d'une image et permettant d'en ajouter un
+ * dialog that displays the comments of an image and allows to add one
  */
 public class CommentsDialog extends JDialog implements ActionListener {
@@ -63,41 +63,41 @@
 	    .getLog(CommentsDialog.class);
     /**
-     * booleen permettant d'alterner les couleurs des commentaires
+     * booleen that allows to alernate the colors
      */
     private boolean alternate = true;
     /**
-     * area permettant d'écrire un nouveau commentaire
+     * area to write a new comment
      */
     private JTextArea textArea = new JTextArea();
     /**
-     * bouton d'envoi d'un commentaire
+     * sends the new comment
      */
     private JButton boutonEnvoyer = new JButton("Ok");
 
     /**
-     * id de l'image
+     * id of the image
      */
     private Integer imageId;
     /**
-     * panel qui permet de scroller sur les commentaires
+     * panel that allows to scroll
      */
     private JPanel panelScrollCommentaires = new JPanel(new GridBagLayout());
     /**
-     * panel qui permet d'ajouter un commentaire
+     * panel that allows to add a comment
      */
     private JPanel panelAjouterCommentaire = new JPanel(new FlowLayout());
 
     /**
-     * Scrollpane qui permet de scroller sur l'area 
+     * Scrollpane  
      */
     private JScrollPane scrollPaneArea;
     /**
-     * scrollpane qui permet de scroller sur les commentaires
+     * scrollpane that allows to scroll
      */
     private JScrollPane scrollPaneCommentaires;
 
     /**
-     * Constructeur
-     * @param imageId id de l'image
+     * Constructor
+     * @param imageId the id of the image
      */
     public CommentsDialog(JFrame parent, Integer imageId) {
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/CategoriesTree.java	(revision 6980)
@@ -64,30 +64,30 @@
 	    .getLog(CategoriesTree.class);
     /**
-     *  L'arbre
+     *  the tree
      */
     private JTree tree;
     /**
-     * le menu permettant d'ajouter une catégorie
+     * the menu to add a category
      */
     private JMenuItem menuAjouter;
     /**
-     * Le menu permettant d'actualiser les catégories
+     * the menu to refresh the categories
      */
     private JMenuItem menuActualiser;
     /**
-     * la racine du tree, qu'on n'affiche pas
+     * the root of the tree which is not displayed
      */
     private DefaultMutableTreeNode root = new DefaultMutableTreeNode("");
     /**
-     * La catégorie selectionnée
+     * the selected category
      */
     private Category selectedCategory;
 
     /**
-     * Constructeur
+     * Constructor
      */
     public CategoriesTree() {
 	super(new BorderLayout());
-	//creation de l'arbre
+	//creation of the tree
 	createNodes(root);
 	tree = new JTree(root);
@@ -103,5 +103,5 @@
 
     /**
-     * Methode qui permet de mettre à jour l'arbre
+     * Method that allows to update the tree
      */
     public void setUpUi() {
@@ -129,6 +129,6 @@
 
     /**
-     * Creation des noeuds
-     * @param root noeud racine
+     * creation of the nodes
+     * @param root the root 
      */
     private void createNodes(DefaultMutableTreeNode root) {
@@ -153,5 +153,5 @@
 
     /**
-     * Méthode récursive de creation des noeuds de l'arbre
+     * recursive method for the creation of the nodes
      * @param categoryNode
      * @param category
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/MainFrame.java	(revision 6980)
@@ -63,37 +63,37 @@
 	    .getLog(MainFrame.class);
     /**
-     * l'arbre des catégories
+     * the categories tree
      */
     private CategoriesTree categoriesTree;
     /**
-     * Splitpane avec à gauche l'arbre et à droite les miniatures pour la catégorie
-     * courante
+     * Splitpane. On the left : the categories tree and on the right the thumbnails
+     * for the current category
      */
     private JSplitPane splitPane;
     /**
-     * Panel contenant les miniatures de la catégorie courante
+     * Panel that contains the thumbnail of the current category
      */
     public static ThumbnailCategoryPanel imagesPanel;
     /**
-     *  Scrollpane contenant le panel ci dessus
+     *  Scrollpane that contains the panel above
      */
     private JScrollPane scrollPaneImagesPanel;
     /**
-     * label qui affiche des messages
+     * label that displays messages
      */
     private JLabel labelMessage;
 
     /**
-     * Barre de menu
+     * menu bar
      */
     private JMenuBar jMenuBar;
 
     /**
-     * Menu d'édition
+     * edition menu
      */
     private JMenu jMenuEdition;
 
     /**
-     * menu des preferences
+     * preferences menu
      */
     private JMenuItem jMenuItemPreferences;
@@ -113,5 +113,5 @@
 
     /**
-     * @return le singleton
+     * @return the singleton
      */
     public static MainFrame getInstance() {
@@ -123,5 +123,5 @@
 
     /**
-     * COnstructeur privé, permettant de n'avoir accès qu'au singleton
+     * private constructor to use a singleton
      */
     private MainFrame() {
@@ -202,5 +202,5 @@
 
     /**
-     * affichage de la frame
+     * displays the frame
      */
     public void showUi() {
@@ -209,16 +209,8 @@
 
     /**
-     * Affichage d'un message d'erreur
-     * @param message
-     */
-    public void setErrorMessage(String message) {
-	this.labelMessage.setText(message);
-    }
-
-    /**
      * Affichage d'un message de réussite
      * @param message
      */
-    public void setReussiteMessage(String message) {
+    public void setMessage(String message) {
 	this.labelMessage.setText(message);
     }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/PreferencesDialog.java	(revision 6980)
@@ -61,25 +61,25 @@
 
     /**
-     * Les onglets
+     * the tabs
      */
     private JTabbedPane tabPane;
 
     /**
-     * l'onglet de gestion des preferences des images
+     * preferences of the images tab
      */
     private JPanel panelImage;
 
     /**
-     * largeur des images
+     * width of the images
      */
     private JTextField fieldWidth;
 
     /**
-     * hauteur des images
+     * height of the images
      */
     private JTextField fieldHeight;
 
     /**
-     * taille des morceaux
+     * size of the chunks
      */
     private JTextField fieldChunkSize;
@@ -101,20 +101,20 @@
 
     /**
-     * bouton d'enregistrement des preferences
+     * save the preferences
      */
     private JButton boutonOk = new JButton("Ok");
 
     /**
-     * panel contenant les boutons
+     * panel that contains the buttons
      */
     private JPanel panelBoutons;
 
     /**
-     * bouton pour annuler 
+     * bouton to cancel 
      */
     private JButton boutonAnnuler;
 
     /**
-     * Constructeur
+     * Constructor
      * @param parent frame parent
      */
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailCategoryPanel.java	(revision 6980)
@@ -43,5 +43,5 @@
    
  * @author mael
- * Classe qui affiche toutes les miniatures d'une catégorie
+ * Class that display the thumbnails of a category
  */
 public class ThumbnailCategoryPanel extends JPanel implements IThumbnailPanel {
@@ -52,5 +52,5 @@
 	    .getLog(ThumbnailCategoryPanel.class);
     /**
-     * L'id de la catégorie pour laquelle les miniatures doivent être affichées
+     * id of the category
      */
     private Integer categoryId;
@@ -64,6 +64,6 @@
 
     /**
-     * Constructeur
-     * @param categoryId l'id de la catégorie
+     * Constructor
+     * @param categoryId id of the category
      */
     public ThumbnailCategoryPanel(Integer categoryId) {
@@ -84,6 +84,6 @@
 
     /**
-     * rafraichissement, afin d'afficher les nouvelles images
-     * @param categoryId
+     * refreshes the panel
+     * @param categoryId the id of the category
      */
     public void rafraichir(Integer categoryId, boolean rafraichir) {
@@ -139,18 +139,17 @@
 
 		    ImageService.getInstance().creer(files[i].getCanonicalPath(), categoryId);
-		    MainFrame.getInstance().setReussiteMessage(
-			    files[i].getName() + " " + Messages.getMessage("sendingSuccess"));
+		    MainFrame.getInstance()
+			    .setMessage(files[i].getName() + " " + Messages.getMessage("sendingSuccess"));
 		} catch (Exception e) {
 		    LOG.error(Outil.getStackTrace(e));
-		    //s'il y a une erreur lors de l'envoi
+		    //displays a dialog if there is an error
 		    JOptionPane.showMessageDialog(null, Messages.getMessage("sendingError") + files[i].getName(),
 			    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
-		    MainFrame.getInstance().setErrorMessage(
-			    Messages.getMessage("sendingError") + " " + files[i].getName());
+		    MainFrame.getInstance().setMessage(Messages.getMessage("sendingError") + " " + files[i].getName());
 		} finally {
 		    MainFrame.getInstance().getProgressBar().setValue(nbProgressBar);
 		}
 	    }
-	    //on rafraichit
+	    //refresh
 	    rafraichir(categoryId, true);
 	    MainFrame.getInstance().getProgressBar().setValue(0);
@@ -179,5 +178,5 @@
 	    JPanel panelh = new JPanel(new FlowLayout());
 	    try {
-		MainFrame.getInstance().setReussiteMessage(Messages.getMessage("thumbviewer_loading"));
+		MainFrame.getInstance().setMessage(Messages.getMessage("thumbviewer_loading"));
 		ImagesManagement.LIST_IMAGE = ImageService.getInstance().listerParCategory(categoryId, rafraichir);
 		for (Image image : ImagesManagement.LIST_IMAGE) {
@@ -203,10 +202,10 @@
 		panel.repaint();
 		panel.revalidate();
-		MainFrame.getInstance().setReussiteMessage(Messages.getMessage("loadingOk"));
+		MainFrame.getInstance().setMessage(Messages.getMessage("loadingOk"));
 	    } catch (Exception e) {
 		LOG.error(Outil.getStackTrace(e));
 		JOptionPane.showMessageDialog(null, Messages.getMessage("imagesListingError"), Messages
 			.getMessage("error"), JOptionPane.ERROR_MESSAGE);
-		MainFrame.getInstance().setErrorMessage(Messages.getMessage("imagesListingError"));
+		MainFrame.getInstance().setMessage(Messages.getMessage("imagesListingError"));
 	    }
 
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailPanel.java	(revision 6980)
@@ -62,6 +62,5 @@
    
  * @author mael
- * Panel contenant la miniature d'une image.
- * C'est un panel "cliquable", qui permet d'afficher l'image à taille réelle
+ * Panel that contains the thumbnail of an image
  */
 public class ThumbnailPanel extends JLabel implements MouseListener, ActionListener {
@@ -72,5 +71,5 @@
 	    .getLog(ThumbnailPanel.class);
     /**
-     * l'image
+     * the image
      */
     private Image image;
@@ -98,6 +97,6 @@
     /**
      * Constructeur
-     * @param image l'image
-     * @param imagesPanel le panel
+     * @param image the image
+     * @param imagesPanel the panel
      */
     public ThumbnailPanel(Image image) {
@@ -148,5 +147,4 @@
     @Override
     public void mouseEntered(MouseEvent paramMouseEvent) {
-	//changement du curseur, pour signifier à l'utilisateur que l'image est cliquable
 	this.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
     }
Index: /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java
===================================================================
--- /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 6979)
+++ /extensions/jiwigo/trunk/src/main/java/fr/mael/jiwigo/ui/mainframe/ThumbnailSearchPanel.java	(revision 6980)
@@ -80,6 +80,6 @@
 
     /**
-     * rafraichissement, afin d'afficher les nouvelles images
-     * @param categoryId
+     *refreshes
+     * @param categoryId the id of the category
      */
     public void rechercher() {
@@ -88,5 +88,5 @@
 	JPanel panelh = new JPanel(new FlowLayout());
 	try {
-	    MainFrame.getInstance().setReussiteMessage(Messages.getMessage("thumbviewer_loading"));
+	    MainFrame.getInstance().setMessage(Messages.getMessage("thumbviewer_loading"));
 	    ImagesManagement.LIST_IMAGE = ImageService.getInstance().search(queryString);
 	    for (Image image : ImagesManagement.LIST_IMAGE) {
@@ -112,10 +112,10 @@
 	    this.repaint();
 	    this.revalidate();
-	    MainFrame.getInstance().setReussiteMessage(Messages.getMessage("loadingOk"));
+	    MainFrame.getInstance().setMessage(Messages.getMessage("loadingOk"));
 	} catch (Exception e) {
 	    LOG.error(Outil.getStackTrace(e));
 	    JOptionPane.showMessageDialog(null, Messages.getMessage("imagesListingError"),
 		    Messages.getMessage("error"), JOptionPane.ERROR_MESSAGE);
-	    MainFrame.getInstance().setErrorMessage(Messages.getMessage("imagesListingError"));
+	    MainFrame.getInstance().setMessage(Messages.getMessage("imagesListingError"));
 	}
     }
